function varargout = update_gui(varargin)

persistent plot_handle1
%create a run time object that can return the value of the outport block's
%input and then put the value in a string
rto1 = get_param('Beispiel4_sim/simout','RuntimeObject');
rto2 = get_param('Beispiel4_sim/Out1','RuntimeObject');

% create str from rto1
str = num2str(rto1.InputPort(1).Data);

% get a handle to the GUI's 'edit_display' window
display = findobj('Tag','edit_display');

% update the gui
set(display,'string',str);

% get Data from Simulation
XData1 = get_param('Beispiel4_sim','SimulationTime');
YData1 = rto1.InputPort(1).Data;
XData2 = get_param('Beispiel4_sim','SimulationTime');
YData2 = rto2.InputPort(1).Data;

% save Data to workspace
assignin('base','XData1',XData1)
assignin('base','YData1',YData1)
assignin('base','XData2',XData2)
assignin('base','YData2',YData2)

% real-time plot

if isempty(plot_handle1) || ~ishandle(plot_handle1)
    guiplot=findobj(0, 'Tag', 'axesplot1');
    plot_handle1 = plot(guiplot,XData1,YData1,XData2,YData2);
    grid on 
else
    XData_old1 = get(plot_handle1(1), 'XData');
    YData_old1 = get(plot_handle1(1), 'YData');
    XData1 = [XData_old1, XData1];
    YData1 = [YData_old1, YData1];
     XData_old2 = get(plot_handle1(2), 'XData');
    YData_old2 = get(plot_handle1(2), 'YData');
    XData2 = [XData_old2, XData2];
    YData2 = [YData_old2, YData2];
    set(plot_handle1(1), 'XData', XData1, 'YData', YData1,'Color','red')
    set(plot_handle1(2), 'XData', XData2, 'YData', YData2,'Color','blue')
   % axis([0 20 0 10])
    drawnow
end
